Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.beacm
Interface ICmRelatedContent

All Superinterfaces
  ContentBase, Serializable

All Known Subinterfaces:
  ICmForum, ICmForumCategory, ICmTopic

    public interface ICmRelatedContent

extends ContentBase

This type of container hold link properties.

Field Summary
`static int` | `KEYID_LINK` The `int` id for the `LINK` key.
`static Key` | `LINK` Key representing the related content link.

Method Summary
`ID[]` | `getLinks()` Gets the link IDs for related content.
`void` | `setLinks(ID[] ids)` Sets the link IDs for related content.

Methods inherited from interface com.bea.apps.groupspace.content.ContentBase
`getContentType, getCreatedBy, getCreatedDate, getCurrentParentFolderId, getDestinationFolderId, getDisplayName, getIcon, getId, getModifiedBy, getModifiedDate, getName, getNode, getNodePath, getNodeProperties, getNodeProperty, getNodeType, getParentId, isContentNode, isHierarchyNode, setCurrentParentFolderId, setDestinationFolderId, setNode, setProperty, setProperty`

Field Detail

### KEYID_LINK

    static final int KEYID_LINK

  The `int` id for the `LINK` key.

  See Also
    Constants Summary

### LINK

    static final Key LINK

  Key representing the related content link.

Method Detail

### getLinks

    ID[] getLinks()
                  throws CollaborationException

  Gets the link IDs for related content.

  Returns
    an array of IDs
  Throws
    `CollaborationException`

### setLinks

    void setLinks(ID[] ids)
                  throws CollaborationException

  Sets the link IDs for related content.

  Parameters
    `ids` - an array of IDs
  Throws
    `CollaborationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved